﻿select a.PART_NO as SYSTEM_CD, a.PART_NO as SYSTEM_VALUE 
from spex.TB_M_PART_STOCK a
join spex.TB_M_PACKING_PART b on a.PART_NO = b.PART_NO
where 1 = 1
and b.SUPPLIER_CD = @SUPPLIER_CD
and b.SUPPLIER_PLANT = @SUPPLIER_PLANT
and ISNULL(b.SUB_SUPPLIER_CD,'') = ISNULL(@SUB_SUPPLIER_CD,'')
and ISNULL(b.SUB_SUPPLIER_PLANT,'') = ISNULL(@SUB_SUPPLIER_PLANT,'')